## python-flask-cors 5.0.0

=== docs/requirements.txt ===
alabaster==0.7.13 ; python_version >= "3.8"
babel==2.14.0 ; python_version >= "3.8"
certifi==2024.2.2 ; python_version >= "3.8"
charset-normalizer==3.3.2 ; python_version >= "3.8"
colorama==0.4.6 ; python_version >= "3.8" and sys_platform == "win32"
docutils==0.20.1 ; python_version >= "3.8"
idna==3.6 ; python_version >= "3.8"
imagesize==1.4.1 ; python_version >= "3.8"
importlib-metadata==7.0.1 ; python_version < "3.10" and python_version >= "3.8"
jinja2==3.1.3 ; python_version >= "3.8"
markupsafe==2.1.5 ; python_version >= "3.8"
packaging==23.2 ; python_version >= "3.8"
pygments==2.17.2 ; python_version >= "3.8"
pytz==2024.1 ; python_version < "3.9" and python_version >= "3.8"
requests==2.32.0 ; python_version >= "3.8"
snowballstemmer==2.2.0 ; python_version >= "3.8"
sphinx==7.1.2 ; python_version >= "3.8"
sphinx-rtd-theme==2.0.0 ; python_version >= "3.8"
sphinxcontrib-applehelp==1.0.4 ; python_version >= "3.8"
sphinxcontrib-devhelp==1.0.2 ; python_version >= "3.8"
sphinxcontrib-htmlhelp==2.0.1 ; python_version >= "3.8"
sphinxcontrib-httpdomain==1.8.1 ; python_version >= "3.8"
sphinxcontrib-jsmath==1.0.1 ; python_version >= "3.8"
sphinxcontrib-qthelp==1.0.3 ; python_version >= "3.8"
sphinxcontrib-serializinghtml==1.1.5 ; python_version >= "3.8"
urllib3==2.2.1 ; python_version >= "3.8"
zipp==3.17.0 ; python_version < "3.10" and python_version >= "3.8"

## python-flask-cors 3.0.7

=== debian/changelog ===
python-flask-cors (3.0.7-1+deb10u1) buster-security; urgency=high

  * Team upload.
  * Fix CVE-2020-25032 (Closes: #969362) with upstream patch

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 08 Oct 2020 21:40:11 +0200

python-flask-cors (3.0.7-1) unstable; urgency=medium

  * Initial release (Closes: #915789)

 -- Stewart Ferguson <stew@ferg.aero>  Wed, 05 Dec 2018 21:51:05 +0100

=== debian/control ===
Source: python-flask-cors
Section: python
Priority: optional
Maintainer: Stewart Ferguson <stew@ferg.aero>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-flask,
 python3-nose,
 python3-sphinx,
 python3-sphinx-rtd-theme
Standards-Version: 4.2.1
Homepage: http://flask-cors.corydolphin.com
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-flask-cors
Vcs-Git: https://salsa.debian.org/python-team/modules/python-flask-cors.git
Testsuite: autopkgtest-pkg-python

Package: python3-flask-cors
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: Flask extension for handling CORS (Python 3)
 A Flask extension for handling Cross Origin Resource Sharing (CORS), making
 cross-origin AJAX possible.
 .
 This package has a simple philosophy, when you want to enable CORS, you wish
 to enable it for all use cases on a domain. This means no mucking around with
 different allowed headers, methods, etc. By default, submission of cookies
 across domains is disabled due to the security implications, please see the
 documentation for how to enable credential’ed requests, and please make sure
 you add some sort of CSRF protection before doing so!
 .
 This package installs the library for Python 3.

## python-flask-cors 3.0.8

=== debian/changelog ===
python-flask-cors (3.0.8-2ubuntu0.1) focal-security; urgency=low

  * SECURITY UPDATE: Path traversal in Flask-CORS
    - flask_cors/extension.py: Fix request path normalization, [upstream
      patch by Cory Dolphin] (LP: #2012949)
    - CVE-2020-25032
  * tests/decorator/test_exception_interception.py: Fix FTBFS against
    Flask 1.1+ [upstream patch by Cory Dolphin]

 -- Dalton Durst <ubuntu-contrib@daltondur.st>  Fri, 24 Mar 2023 10:04:01 -0500

python-flask-cors (3.0.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Stewart Ferguson ]
  * Bumping version to facilitate source-only upload

 -- Stewart Ferguson <stew@ferg.aero>  Tue, 30 Jul 2019 19:11:58 +0200

python-flask-cors (3.0.8-1) unstable; urgency=medium

  * Upstream release 3.0.8
  * Bumping standards-version 4.2.1 -> 4.3.0 (no changes required)
  * Bumping compat 11 -> 12 and replacing d/compat with newer build-dep
  * Adding d/upstream/metadata

 -- Stewart Ferguson <stew@ferg.aero>  Sun, 09 Jun 2019 09:29:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-flask-cors
 Section: python
 Priority: optional
-Maintainer: Stewart Ferguson <stew@ferg.aero>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stewart Ferguson <stew@ferg.aero>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -12,7 +13,7 @@
  python3-nose,
  python3-sphinx,
  python3-sphinx-rtd-theme
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: http://flask-cors.corydolphin.com
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-flask-cors
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-flask-cors.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=flask-cors

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman docs/ build/man # Manpage generator

## python-flask-cors 3.0.9

=== debian/changelog ===
python-flask-cors (3.0.9-2) unstable; urgency=medium

  * Team upload.

  [ Bastian Germann ]
  * d/copyright: Fix superfluous licence.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 18 Dec 2020 11:06:56 -0500

python-flask-cors (3.0.9-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/gbp.conf: use team's branch names and migrate to debian/master.
  * d/control: upgrade to dh13.
  * d/control: update Standards-Version to 4.5.1. Add Rules-Requires-Root.
  * d/control: the team is not called the Python Team.
  * d/tests: add autopkgtest.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Bastian Germann ]
  * Add gbp.conf
  * New upstream version 3.0.9 (Closes: #950058, #969362)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 18 Dec 2020 10:54:57 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-flask-cors
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stewart Ferguson <stew@ferg.aero>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Stewart Ferguson <stew@ferg.aero>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -13,11 +12,11 @@
  python3-nose,
  python3-sphinx,
  python3-sphinx-rtd-theme
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: http://flask-cors.corydolphin.com
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-flask-cors
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-flask-cors.git
-Testsuite: autopkgtest-pkg-python
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flask-cors
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-flask-cors.git
+Rules-Requires-Root: no
 
 Package: python3-flask-cors
 Architecture: all

=== debian/tests/control ===
Tests: unittests
Depends: @, python3-all, python3-nose, python3-packaging

=== debian/watch ===
version=4
https://github.com/corydolphin/flask-cors/releases .*/v?(\d\S+)\.tar\.gz

## python-flask-cors 3.0.10

=== debian/changelog ===
python-flask-cors (3.0.10-2+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload by the Debian LTS team.
  * d/patches/CVE-2024-1681.patch: Add to fix CVE-2024-1681 (closes: #1069764).
    - An attacker can inject fake log entries into the log file by sending a
      specially crafted GET request containing a CRLF sequence in the request
      path, allowing them to corrupt log files, potentially covering tracks of
      other attacks, confusing log post-processing tools, and forging log
      entries.
  * d/patches/CVE-2024-6866.patch: Add to fix CVE-2024-6866 (closes: #1100988).
    - The request path matching is case-insensitive. This results in a mismatch
      because paths in URLs are case-sensitive, but the regex matching treats
      them as case-insensitive. This misconfiguration can lead to significant
      security vulnerabilities, allowing unauthorized origins to access paths
      meant to be restricted, resulting in data exposure and potential leaks.
  * d/patches/CVE-2024-6839-1.patch, d/patches/CVE-2024-6839-2.patch: Add to
    fix CVE-2024-6839 (closes: #1100988).
    - There is an improper regex path matching vulnerability. The plugin
      prioritizes longer regex patterns over more specific ones when matching
      paths, which can lead to less restrictive CORS policies being applied to
      sensitive endpoints. This mismatch in regex pattern priority allows
      unauthorized cross-origin access to sensitive data or functionality,
      potentially exposing confidential information and increasing the risk of
      unauthorized actions by malicious actors.
   d/patches/CVE-2024-6844.patch: Add to fix CVE-2024-6844 (closes: #1100988).
   - The request.path is passed through the unquote_plus function, which
     converts the '+' character to a space ' '. This behavior leads to
     incorrect path normalization, causing potential mismatches in CORS
     configuration. As a result, endpoints may not be matched correctly to
     their CORS settings, leading to unexpected CORS policy application. This
     can cause unauthorized cross-origin access or block valid requests,
     creating security vulnerabilities and usability issues.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 30 Jun 2025 02:59:32 +0200

python-flask-cors (3.0.10-2) unstable; urgency=medium

  * Team upload.
  * d/watch: Use git mode to check newer versions
  * d/control: Increase Standards-Version to 4.6.2
    No further modifications needed.
  * d/control: Adjust/update B-D, add BuildProfileSpecs
  * d/rules: Remove --with option from default target
  * d/copyright: Adjust Homepage to GH project space
  * d/u/metadata: Adjust some more data
  * d/copyright: Update year data
  * autopkgtest: Be more specific on depending packages

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 22 Jan 2023 09:52:05 +0100

python-flask-cors (3.0.10-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: Add more settings
  * New upstream version 3.0.10
  * Rebuild patch queue from patch-queue branch
    Renamed patches:
    remove_badges_from_doc
     -> debian-hacks/Privacy-Remove-linking-to-external-resources.patch
    redirect_api_links_locally
     -> debian-hacks/README-Link-to-internal-HTML-resource.patch
    Added patches:
    debian-hacks/docs-Use-local-inventory-for-Python3.patch
    upstream/Spelling-Fix-misspelled-word-conjuction.patch
    upstream/Spelling-Fix-misspelled-word-maching.patch
    Dropped patch (fixed upstream):
    spelling_error_in_manpage
  * d/control: Make DPT to the package maintainer
  * d/{control,rules}: Move over to dh-sequence-python3
  * d/control: Add new entries, sort Build-Depends alphabetical
    (Closes: #1018495)
  * d/u/metadata: Fix small typo
  * autopkgtest: Switch to use pytest instead of nose
  * d/rules: Use pytest to run internal tests
  * documentation: Build HTML and manpage by dh_sphinxdoc
  * d/control: Increase Standards-Version to 4.6.1
    No further modifications needed.
  * d/salsa-ci.yml: Adding Yaml CI control data for Salsa
    Rename d/.gitlab-ci.yml to d/salsa-ci.yml, update the content of the
    file.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 01 Nov 2022 08:15:36 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=flask-cors

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python3-flask-cors/usr/share/doc/python3-flask-cors/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -b man $(SPHINXOPTS) docs build/man # Manpage generator
	dh_sphinxdoc
endif

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest"

=== debian/tests/control ===
Tests:
 unittests
Depends:
 python3-all,
 python3-flask,
 python3-pytest,
 python3-six,
 @,
Restrictions: allow-stderr

=== debian/watch ===
# uscan watch file for flask-cors

version=4

opts="mode=git, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/corydolphin/flask-cors.git \
      refs/tags/(\d\S+)

## python-flask-cors 4.0.0

=== debian/changelog ===
python-flask-cors (4.0.0-1ubuntu0.1~esm1) noble-security; urgency=medium

  * SECURITY UPDATE: Unauthorized Cross-Origin Access
    - debian/patches/CVE-2024-6839-1.patch: Sort paths by regex 
      specificity
    - debian/patches/CVE-2024-6839-2.patch: Sort paths longest to
      shortest
    - debian/patches/CVE-2024-6839-3.patch: Rename "helper_tests.py" to
      "test_helpers.py" and fix tests
    - CVE-2024-6839
  * SECURITY UPDATE: Private Resource Exposure
    - debian/patches/CVE-2024-6221.patch: Add option to allow
      "Access-Control-Allow-Private-Network" CORS header to be false
    - CVE-2024-6221
  * SECURITY UPDATE: Information Leak
    - debian/patches/CVE-2024-6866.patch: Implements case sensitive
      request path matching
    - CVE-2024-6866
  * SECURITY UPDATE: Undefined CORS Policy Application
    - debian/patches/CVE-2024-6844.patch: Fix incorrect path normalization
    - CVE-2024-6844
  * SECURITY UPDATE: Log Injection
    - debian/patches/CVE-2024-1681.patch: Update extension.py to clean
      request.path before logging it
    - CVE-2024-1681

 -- Bruce Cable <bruce.cable@canonical.com>  Mon, 30 Jun 2025 17:28:03 +1000

python-flask-cors (4.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.0.0
  * Rebuild patch queue from patch-queue branch
    Updated patches:
    debian-hacks/Privacy-Remove-linking-to-external-resources.patch
    debian-hacks/README-Link-to-internal-HTML-resource.patch
    Dropped patches (fixed upstream):
    upstream/Spelling-Fix-misspelled-word-conjuction.patch
    upstream/Spelling-Fix-misspelled-word-maching.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 27 Jun 2023 17:15:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,26 @@
 Source: python-flask-cors
 Section: python
 Priority: optional
-Maintainer: Stewart Ferguson <stew@ferg.aero>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Stewart Ferguson <stew@ferg.aero>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-doc <!nodoc>,
+ python3-flask <!nocheck> <!nodoc>,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-flask,
- python3-nose,
- python3-sphinx,
- python3-sphinx-rtd-theme
-Standards-Version: 4.5.1
-Homepage: http://flask-cors.corydolphin.com
+ python3-six <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-sphinxcontrib.httpdomain <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+Standards-Version: 4.6.2
+Homepage: https://github.com/corydolphin/flask-cors
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flask-cors
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-flask-cors.git
 Rules-Requires-Root: no

## python-flask-cors 4.0.1

=== debian/changelog ===
python-flask-cors (4.0.1-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Unauthorized Cross-Origin Access
    - debian/patches/CVE-2024-6839-1.patch: Sort paths by regex 
      specificity
    - debian/patches/CVE-2024-6839-2.patch: Sort paths longest to
      shortest
    - debian/patches/CVE-2024-6839-3.patch: Rename "helper_tests.py" to
      "test_helpers.py".
    - CVE-2024-6839
  * SECURITY UPDATE: Private Resource Exposure
    - debian/patches/CVE-2024-6221.patch: Add option to allow
      "Access-Control-Allow-Private-Network" CORS header to be false
    - CVE-2024-6221
  * SECURITY UPDATE: Information Leak
    - debian/patches/CVE-2024-6866.patch: Implements case sensitive
      request path matching
    - CVE-2024-6866
  * SECURITY UPDATE: Undefined CORS Policy Application
    - debian/patches/CVE-2024-6844.patch: Fix incorrect path normalization
    - CVE-2024-6844

 -- Bruce Cable <bruce.cable@canonical.com>  Mon, 30 Jun 2025 17:28:14 +1000

python-flask-cors (4.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * remove dependency on old python3-six

  [ Carsten Schoenert ]
  * d/watch: Add compression=gz to opts
  * New upstream version 4.0.1
    Fixes CVE-2024-1681
    (Closes: 1069764)
  * Rebuild patch queue from patch-queue branch
    Added patch:
    upstream/tests-Use-importlib.metadata.version-flask.patch
    Updated patches:
    debian-hacks/Privacy-Remove-linking-to-external-resources.patch
    debian-hacks/README-Link-to-internal-HTML-resource.patch
    debian-hacks/docs-Use-local-inventory-for-Python3.patch
  * d/control: Increase Standards-Version to 4.7.0
    No further modifications needed.
  * d/copyright: Update year data
  * d/rules: Add target override_dh_clean
    Clean up one more possible folder.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 10 May 2024 20:52:32 +0200

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,10 @@
  python3-flask <!nocheck> <!nodoc>,
  python3-pytest <!nocheck>,
  python3-setuptools,
- python3-six <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinxcontrib.httpdomain <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/corydolphin/flask-cors
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flask-cors
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-flask-cors.git

## python-flask-cors 5.0.0

=== debian/changelog ===
python-flask-cors (5.0.0-1ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: Unauthorized Cross-Origin Access
    - debian/patches/CVE-2024-6839-1.patch: Sort paths by regex 
      specificity
    - debian/patches/CVE-2024-6839-2.patch: Sort paths longest to
      shortest
    - debian/patches/CVE-2024-6839-3.patch: Rename "helper_tests.py" to
      "test_helpers.py".
    - CVE-2024-6839
  * SECURITY UPDATE: Information Leak
    - debian/patches/CVE-2024-6866.patch: Implements case sensitive
      request path matching
    - CVE-2024-6866
  * SECURITY UPDATE: Undefined CORS Policy Application
    - debian/patches/CVE-2024-6844.patch: Fix incorrect path normalization
    - CVE-2024-6844

 -- Bruce Cable <bruce.cable@canonical.com>  Mon, 30 Jun 2025 17:28:14 +1000

python-flask-cors (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * d/control: Use correct syntax for build profiles
  * New upstream version 5.0.0
  * Rebuild patch queue from patch-queue branch
    Added patch:
    docs-Fixup-small-typo-on-reponse.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 14 Sep 2024 09:41:57 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-doc <!nodoc>,
- python3-flask <!nocheck> <!nodoc>,
+ python3-flask <!nocheck !nodoc>,
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,

=== debian/tests/control ===
Tests:
 unittests
Depends:
 python3-all,
 python3-flask,
 python3-pytest,
 @,
Restrictions: allow-stderr

## python-flask-cors 5.0.1

=== debian/changelog ===
python-flask-cors (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.0.1
  * Rebuild patch queue from patch-queue branch
    Added patches:
    debian/hacks/docs-Disable-use_directory_urls-configuration-option.patch
    debian-hacks/docs-Drop-any-linking-to-external-grahpics.patch
    Adjusted/updated patch:
    debian-hacks/README-Link-to-internal-HTML-resource.patch
    Deleted patches:
    debian-hacks/docs-Use-local-inventory-for-Python3.patch
    docs-Fixup-small-typo-on-reponse.patch
  * d/control: Adjust build dependencies due upstream changes
    Mainly upstream did move away from Sphinx for building the documentation
    and switched to MkDos.
  * d/rules: Switch to mkdocs build for -doc data
  * d/copyright: Update year data
  * d/python3-flask-cors.links: Drop sequencer file
  * d/python3-flask-cors.manpages: Also drop this sequencer
  * d/python3-flask-cors.install: Add new sequencer file
  * autopkgtest: Update the test setup
  * d/control: Increase Standards-Version to 4.7.2
    No further modifications needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 25 Mar 2025 16:40:51 +0200

## python-flask-cors 6.0.0

=== debian/changelog ===
python-flask-cors (6.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.0.0
    Fixed CVE issues in upstream version 6.0.0:
    CVE-2024-6839: Flask-CORS improper regex path matching vulnerability
    CVE-2024-6844: Flask-CORS allows for inconsistent CORS matching
    CVE-2024-6866: Flask-CORS vulnerable to Improper Handling of Case
                   Sensitivity
    (Closes: #1100988)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 20 May 2025 16:37:09 +0200

## python-flask-cors 6.0.1

=== Makefile ===
.PHONY: install
install: ## Install the virtual environment and install the pre-commit hooks
	@echo "🚀 Creating virtual environment using uv"
	@uv sync
	@uv run pre-commit install

.PHONY: check
check: ## Run code quality tools.
	@echo "🚀 Checking lock file consistency with 'pyproject.toml'"
	@uv lock --locked
	@echo "🚀 Linting code: Running pre-commit"
	# @uv run pre-commit run -a
	# @echo "🚀 Static type checking: Running mypy"
	# @uv run mypy .
	@echo "🚀 Checking for obsolete dependencies: Running deptry"
	@uv run deptry .

.PHONY: test
test: ## Test the code with pytest
	@echo "🚀 Testing code: Running pytest"
	@uv run python -m pytest --cov --cov-config=pyproject.toml --cov-report=xml

.PHONY: build
build: clean-build ## Build wheel file
	@echo "🚀 Creating wheel file"
	@uvx --from build pyproject-build --installer uv

.PHONY: clean-build
clean-build: ## Clean build artifacts
	@echo "🚀 Removing build artifacts"
	@uv run python -c "import shutil; import os; shutil.rmtree('dist') if os.path.exists('dist') else None"

.PHONY: publish
publish: ## Publish a release to PyPI.
	@echo "🚀 Publishing."
	@uvx twine upload --repository-url https://upload.pypi.org/legacy/ dist/*

.PHONY: build-and-publish
build-and-publish: build publish ## Build and publish.

.PHONY: docs-test
docs-test: ## Test if documentation can be built without warnings or errors
	@uv run mkdocs build

.PHONY: docs
docs: ## Build and serve the documentation
	@uv run mkdocs serve

.PHONY: help
help:
	@uv run python -c "import re; \
	[[print(f'\033[36m{m[0]:<20}\033[0m {m[1]}') for m in re.findall(r'^([a-zA-Z_-]+):.*?## (.*)$$', open(makefile).read(), re.M)] for makefile in ('$(MAKEFILE_LIST)').strip().split()]"

.DEFAULT_GOAL := help

=== debian/changelog ===
python-flask-cors (6.0.1-1) unstable; urgency=medium

  * [e698dc8] New upstream version 6.0.1
    Fixed CVE issues in upstream version 6.0.1:
    CVE-2024-6839: Flask-CORS improper regex path matching vulnerability
    The added fix for this issue in version 6.0.0 did correct the problem not
    fully and needed a further source modification.
    (Closes: #1100988)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 11 Jun 2025 08:05:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,21 @@
 Source: python-flask-cors
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Stewart Ferguson <stew@ferg.aero>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- dh-sequence-sphinxdoc,
+ mkdocs,
+ mkdocs-material,
+ mkdocstrings-python-handlers,
  pybuild-plugin-pyproject,
  python3-all,
- python3-doc <!nodoc>,
- python3-flask <!nocheck !nodoc>,
+ python3-flask <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
- python3-sphinx <!nodoc>,
- python3-sphinxcontrib.httpdomain <!nodoc>,
- python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/corydolphin/flask-cors
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flask-cors
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-flask-cors.git
@@ -29,7 +26,6 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
- ${sphinxdoc:Depends}
 Description: Flask extension for handling CORS (Python 3)
  A Flask extension for handling Cross Origin Resource Sharing (CORS), making
  cross-origin AJAX possible.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=flask-cors

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache debian/html

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m mkdocs build -v --site-dir=debian/html
	rm -f debian/html/sitemap.xml.gz
endif

override_dh_mkdocs:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	dh_mkdocs
endif

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest"

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       pgpmode=none, \
       uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
